Subject: RE: [SIP] RE: [Sip-implementors] Interpretation of break in TCP c onnection

From: "Sean Olson (EUS)" <[email-masked]>
Date: Thu, 15 Mar 2001 10:42:04 -0600

> I suspect there is no implementation which uses TCP, 
> and actively closes connections prematurely instead of cancelling. 
> Similarly, I suspect there are no servers which close TCP connections
> instead of explicitly sending a 500. If my suspicions are correct, 
> we can safely remove this capability from SIP. I think it adds little value.
> If a client crashes before a transaction completes, the server will know it
> when it tries to re-open the connection to send the response. Simiarlly, 
> if a client sends a request, and the server crashes during the transaction,
> and there is no backup, the client transaction will timeout. 
> 
> Comments?
> (I'll be discussing this during IETF probably).
> 
> -Jonathan R.

I think this is an excellent idea. This greatly
simplifies TCP implementations.

/sean